Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont.SpacingType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFont.SpacingType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFont

    public static final class QFont.SpacingType

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFont.SpacingType` | `AbsoluteSpacing` A positive value increases the letter spacing by the corresponding pixels; a negative value decreases the spacing.
`static QFont.SpacingType` | `PercentageSpacing` A value of 100 will keep the spacing unchanged; a value of 200 will enlarge the spacing after a character by the width of the character itself.

Method Summary
`static QFont.SpacingType` | `resolve(int value)` Returns the SpacingType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.SpacingType` | `valueOf(java.lang.String name)`
`static QFont.SpacingType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PercentageSpacing

    public static final QFont.SpacingType PercentageSpacing

  A value of 100 will keep the spacing unchanged; a value of 200 will enlarge the spacing after a character by the width of the character itself.

### AbsoluteSpacing

    public static final QFont.SpacingType AbsoluteSpacing

  A positive value increases the letter spacing by the corresponding pixels; a negative value decreases the spacing.

Method Detail

### values

    public static QFont.SpacingType[] values()

### valueOf

    public static QFont.SpacingType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.SpacingType resolve(int value)

  Returns the SpacingType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD